Skip to main content
GET
Get a link owned by the authenticated merchant

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Response

The link

amount
string
required
Pattern: ^(0|[1-9]\d{0,19})(\.\d{1,18})?$
Example:

"12.34"

createdAt
string<date-time>
required
currency
string
required
Example:

"EUR"

description
string | null
required
expired
boolean
required
expiresAt
string<date-time> | null
required
failureUrl
string | null
required
id
string
required
Example:

"pl_01j9a6d6dqevssvyw7s97pkrga"

isActive
boolean
required
livemode
boolean
required

The live/test mode inherited from the authenticated API key.

Example:

true

maxUses
number | null
required
merchantId
string
required
metadata
object
required
reusable
boolean
required
slug
string
required
Pattern: ^[A-Za-z0-9]{24}$
status
enum<string>
required
Available options:
ACTIVE,
INACTIVE,
EXPIRED,
EXHAUSTED
successUrl
string | null
required
url
string | null
required

Null when hosted checkout is disabled.

Example:

"https://pay.example.com/l/aBcDeFgHiJkLmNoPqRsTuVwX"

usesCount
number
required